### Method

# Ggit IndexEntry set_commit

#### Declaration [src]

    void
    ggit_index_entry_set_commit (
      GgitIndexEntry* entry,
      GgitCommit* commit
    )

#### Description [src]

Set the index entry to point to a given commit. This sets the index entry id to the commit id, changes the mode to #GGIT_FILE_MODE_COMMIT and updates the timestamps to when the commit was made.

#### Parameters

`commit`

  Type: `GgitCommit`

  A `GgitCommit`.

  The data is owned by the caller of the method.